<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>First Bootstrap</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <style>
        .red {
            background-color: red;
        }

        .green {
            background-color: green;
        }

        .blue {
            background-color: blue ;
        }
    </style>
</head>
<body>
    <!-- Pour positionner les éléments de manière responsive,
    on peut utiliser le système de grid de bootstrap.
    Le principe est le suivant : un container d'une taille fixe ou
    adaptative à l'élément parent (.container .container-fluid),
    et à l'intérieur des éléments auxquels ont assigne des classes
    qui indiqueront au css quelle taille doit prendre chaque élément
    selon le device utilisé.
    Chaque container fait 12 colonnes, et on peut indiquer avec
    ces classes le nombre de colonnes à occuper selon la taille 
    de l'écran. (les tailles sont dispo sur le site de bootstrap)  -->
    
    <main class="container-fluid">
        <div class="row">
            <!-- Ici, l'élément prendra 4 colonnes sur les
            écran de taille medium et plus; il prendra 
            6 colonnes sur les écran de taille small.
            Et par défaut, il prendra 12 colonnes sur les 
            écran de taille xs -->
            <section class="red col-md-4 col-sm-6">ga</section>
            <section class="green col-md-3 col-sm-6">zo</section>
            <section class="blue col-md-4 col-sm-6">bu</section>
        </div>
        <div class="row">
            <section class="red col-md-3">ga</section>
            <!-- Ici, l'élément prendra 3 colonnes sur les
            écran de taille medium et plus et aura un décalage
        de une colonne avec l'élément précédent -->
            <section class="green col-md-3 offset-md-1">zo</section>
            <section class="blue col-md-3 offset-md-1">bu</section>
        </div>

    </main>

    
</body>
</html>